import React, { DetailedHTMLProps, HTMLAttributes, ReactNode } from "react";
export type Button = JSX.Element | string | null;
export type SpeechStatus = "started" | "paused" | "stopped";
export type ChildrenOptions = {
    speechStatus?: SpeechStatus;
    start?: Function;
    pause?: Function;
    stop?: Function;
};
export type Children = (childrenOptions: ChildrenOptions) => ReactNode;
export type SpanProps = DetailedHTMLProps<HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>;
export type DivProps = DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
export type SpeechProps = {
    text: string | JSX.Element;
    id?: string;
    pitch?: number;
    rate?: number;
    volume?: number;
    lang?: string;
    voiceURI?: string | string[];
    startBtn?: Button;
    pauseBtn?: Button;
    stopBtn?: Button;
    useStopOverPause?: boolean;
    highlightText?: boolean;
    highlightProps?: SpanProps;
    onError?: Function;
    props?: DivProps;
    children?: Children;
};
export type { IconProps } from "./icons.js";
export default function Speech({ text, id, pitch, rate, volume, lang, voiceURI, startBtn, pauseBtn, stopBtn, useStopOverPause, highlightText, highlightProps, onError, props, children, }: SpeechProps): React.JSX.Element;
export declare function HighlightedText({ id, children, ...props }: DivProps): React.JSX.Element;
